SYSFATAL(3)

NAME
sysfatal - system error messages

SYNOPSIS
#include <u.h>
#include <libc.h>

void sysfatal(char *fmt, ...)

DESCRIPTION
Sysfatal prints to standard error the name of the running program, a colon and a space, the message described by the print(3) format string fmt and subsequent arguments, and a newline. It then calls exits(3) with the formatted message as argument. The program's name is the value of argv0, which will be set if the program uses the arg(3) interface to process its arguments. If argv0 is null, it is ignored and the following colon and space are suppressed.

SOURCE
/src/lib9/sysfatal.c

SEE ALSO
intro(3), errstr(3), the %r format in print(3)